Subject: Re: bug#53024: 29.0.50; Wishlist: Byte-compile loaddefs.el?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 31 Jul 2022 12:47:59 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> So now we just need a way to direct `documentation' to look into the
> correct loaddefs.elc file for the doc string.  But... do we know which
> loaddefs file the `autoload' form comes from?

Never mind -- it was just because I'd forgotten to adjust loadup.el to
actually load the .elc file.

So this seems to work well now, as far as I can see, so we can indeed
byte-compile the loaddefs files in the Emacs tree.  But not the ones
from packages because of the #$ problem.